### Method

# GtkSource SearchContext backward_async

#### Declaration [src]

    void
    gtk_source_search_context_backward_async (
      GtkSourceSearchContext* search,
      const GtkTextIter* iter,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

The asynchronous version of `gtk_source_search_context_backward()`.

See the `GAsyncResult` documentation to know how to use this function.

If the operation is cancelled, the `callback` will only be called if `cancellable` was not `NULL`. The method takes ownership of `cancellable`, so you can unref it after calling this function.

This method completes asynchronously. Use `gtk_source_search_context_backward_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`iter`

  Type: `GtkTextIter`

  Start of search.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the operation is finished.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to the `callback` function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.